# sumologic – Sends task result events to Sumologic

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- This callback plugin will send task results as JSON formatted events to a Sumologic HTTP collector source

## Requirements

The below requirements are needed on the local master node that executes this callback.

- Whitelisting this callback plugin
- Create a HTTP collector source in Sumologic and specify a custom timestamp format of `yyyy-MM-dd HH:mm:ss ZZZZ` and a custom timestamp locator of `"timestamp": "(.*`”)

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
url - |  | ini entries: [callback_sumologic] url = VALUE env:SUMOLOGIC_URL | URL to the Sumologic HTTP collector source

## Examples

    examples: >
      To enable, add this to your ansible.cfg file in the defaults block
        [defaults]
        callback_whitelist = sumologic

      Set the environment variable
        export SUMOLOGIC_URL=https://endpoint1.collection.us2.sumologic.com/receiver/v1/http/R8moSv1d8EW9LAUFZJ6dbxCFxwLH6kfCdcBfddlfxCbLuL-BN5twcTpMk__pYy_cDmp==

      Set the ansible.cfg variable in the callback_sumologic block
        [callback_sumologic]
        url = https://endpoint1.collection.us2.sumologic.com/receiver/v1/http/R8moSv1d8EW9LAUFZJ6dbxCFxwLH6kfCdcBfddlfxCbLuL-BN5twcTpMk__pYy_cDmp==

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]
- This callback is maintained by the Ansible Community. [community]

### Authors

- Ryan Currah (@ryancurrah)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.